import { Graph } from "./Graph";
import { ErrorFunction, FilterObject, ParamObjSdoAdapter, Vocabulary } from "./types";
import { Class } from "./Class";
import { Enumeration } from "./Enumeration";
import { EnumerationMember } from "./EnumerationMember";
import { Property } from "./Property";
import { DataType } from "./DataType";
export declare class SDOAdapter {
    readonly commit?: string;
    readonly schemaHttps: boolean;
    readonly equateVocabularyProtocols: boolean;
    readonly onError: ErrorFunction;
    readonly graph: Graph;
    constructor(paramObj?: ParamObjSdoAdapter);
    addVocabularies(vocabArray: string | Vocabulary | (string | Vocabulary)[]): Promise<boolean>;
    fetchVocabularyFromURL(url: string): Promise<Vocabulary | string>;
    getTerm(id: string, filter?: FilterObject): Class | Enumeration | EnumerationMember | Property | DataType;
    getAllTerms(filter?: FilterObject): (Class | Enumeration | EnumerationMember | Property | DataType)[];
    getListOfTerms(filter?: FilterObject): string[];
    getClass(id: string, filter?: FilterObject): Class;
    getAllClasses(filter?: FilterObject): Class[];
    getListOfClasses(filter?: FilterObject): string[];
    getProperty(id: string, filter?: FilterObject): Property;
    getAllProperties(filter?: FilterObject): Property[];
    getListOfProperties(filter?: FilterObject): string[];
    getDataType(id: string, filter?: FilterObject): DataType;
    getAllDataTypes(filter?: FilterObject): DataType[];
    getListOfDataTypes(filter?: FilterObject): string[];
    getEnumeration(id: string, filter?: FilterObject): Enumeration;
    getAllEnumerations(filter?: FilterObject): Enumeration[];
    getListOfEnumerations(filter?: FilterObject): string[];
    getEnumerationMember(id: string, filter?: FilterObject): EnumerationMember;
    getAllEnumerationMembers(filter?: FilterObject): EnumerationMember[];
    getListOfEnumerationMembers(filter?: FilterObject): string[];
    getVocabularies(omitStandardVocabs?: boolean): Record<string, string>;
    getLatestSchemaVersion(): Promise<string>;
    constructURLSchemaVocabulary(version?: string): Promise<string>;
}
//# sourceMappingURL=SDOAdapter.d.ts.map