"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.constructURLSchemaVocabulary = exports.getLatestSchemaVersion = exports.fetchSchemaVersions = exports.create = void 0;
const SDOAdapter_1 = require("./SDOAdapter");
const utilities_1 = require("./utilities");
Object.defineProperty(exports, "fetchSchemaVersions", { enumerable: true, get: function () { return utilities_1.fetchSchemaVersions; } });
Object.defineProperty(exports, "getLatestSchemaVersion", { enumerable: true, get: function () { return utilities_1.getLatestSchemaVersion; } });
Object.defineProperty(exports, "constructURLSchemaVocabulary", { enumerable: true, get: function () { return utilities_1.constructURLSchemaVocabulary; } });
async function create(paramObj) {
    const newInstance = new SDOAdapter_1.SDOAdapter(paramObj);
    if (paramObj && paramObj.schemaVersion) {
        const schemaUrl = await (0, utilities_1.constructURLSchemaVocabulary)(paramObj.schemaVersion, paramObj.schemaHttps, paramObj.commit);
        await newInstance.addVocabularies(schemaUrl);
    }
    if (paramObj && paramObj.vocabularies) {
        await newInstance.addVocabularies(paramObj.vocabularies);
    }
    return newInstance;
}
exports.create = create;
//# sourceMappingURL=dist.js.map