import { Context, LanguageObjectVocab, VersionsFile } from "./types";
export declare function cloneJson<T>(input: T): T;
export declare function isObject(value: unknown): value is Record<string, unknown>;
export declare function isLanguageObjectVocab(value: unknown): value is LanguageObjectVocab;
export declare function isNil(value: unknown): value is null | undefined;
export declare function isString(value: unknown): value is string;
export declare function isArray(value: unknown): value is unknown[];
export declare function uniquifyArray<T>(array: T[]): T[];
export declare function toCompactIRI(absoluteIRI: string, context: Context, equateVocabularyProtocols?: boolean): string | null;
export declare function toAbsoluteIRI(compactIRI: string, context: Context): string;
export declare function sortReleaseEntriesByDate(releaseLog: Record<string, string>): [string, string][];
export declare function getFileNameForSchemaOrgVersion(version: string, schemaHttps?: boolean): string;
export declare function switchIRIProtocol(IRI: string): string;
export declare const toArray: <T>(o: T | T[]) => T[];
export declare function getURLBaseSchema(commitBase?: string): string;
export declare function getURLSchemaVersions(commitBase?: string): string;
export declare function constructURLSchemaVocabulary(version?: string, schemaHttps?: boolean, commit?: string): Promise<string>;
export declare function fetchSchemaVersions(cacheClear?: boolean, commit?: string): Promise<VersionsFile>;
export declare function checkURL(url: string): Promise<boolean>;
export declare function getLatestSchemaVersion(commit?: string): Promise<string>;
//# sourceMappingURL=utilities.d.ts.map